/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 03/11/2017
 --------------------------------------------------------
*/
package com.portofolio.entity.vo;

import static com.portofolio.base.adapter.DatabaseAdapter.Constant.AKHIR_KURUNG;
import static com.portofolio.base.adapter.DatabaseAdapter.Constant.AWAL_KURUNG;
import static com.portofolio.base.adapter.DatabaseAdapter.Constant.INTEGER;
import static com.portofolio.base.adapter.DatabaseAdapter.Constant.INTEGER;
import static com.portofolio.base.adapter.DatabaseAdapter.Constant.VARCHAR;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import  javax.validation.constraints.NotNull;

import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;


@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode
public class MapObjekModulToKelompokUserId implements java.io.Serializable {
     /**
     * 
     */
    private static final String cDefKdProfile =INTEGER;
    @Column(name = "KdProfile",   columnDefinition = cDefKdProfile)
    @NotNull(message = "mapobjekmodultokelompokuserid.kdprofile.notnull")
    private Integer kdProfile;
    
    private static final String cDefKdKelompokUser =INTEGER;
    @Column(name = "KdKelompokUser",   columnDefinition = cDefKdKelompokUser)
    @NotNull(message = "mapobjekmodultokelompokuserid.kdkelompokuser.notnull")
    private Integer kdKelompokUser;
    
    private static final String cDefKdObjekModulAplikasi = VARCHAR + AWAL_KURUNG + 6 + AKHIR_KURUNG ;
    @Column(name = "KdObjekModulAplikasi",   columnDefinition = cDefKdObjekModulAplikasi)
    @NotNull(message = "mapobjekmodultokelompokuserid.kdobjekmodulaplikasi.notnull")
    private String kdObjekModulAplikasi;
    
    private static final String cDefKdModulAplikasi = VARCHAR + AWAL_KURUNG + 2 + AKHIR_KURUNG ;
    @Column(name = "KdModulAplikasi",   columnDefinition = cDefKdModulAplikasi)
    @NotNull(message = "mapmodulaplikasitoobjekmodulid.kdmodulaplikasi.notnull")
    private String kdModulAplikasi;
    
    private static final String cDefKdVersion =INTEGER;
    @Column(name = "KdVersion",   columnDefinition = cDefKdVersion)
    @NotNull(message = "mapmodulaplikasitoobjekmodulid.kdversion.notnull")
    private Integer kdVersion;
    
    

}
